package org.springblade.modules.app.common.enums;

public enum TransportStageExpEnum {
    //1-合同 2-血检 3-空车 4-装运 5-A票 6-验收
    NO(0, "无异常"),
    REJECT(1, "拒收"),
    OVERTIME(2, "超时接收"),
    COMPROMISE(3, "让步接收"),
    ;
    private int code;
    private String text;

    TransportStageExpEnum(int code, String text) {
        this.code = code;
        this.text = text;
    }

    public int getCode() {
        return code;
    }

    public String getText() {
        return text;
    }

    public static TransportStageExpEnum findByCode(int code) {
        for (TransportStageExpEnum demoEnum : values()) {
            if (code == demoEnum.getCode()) {
                return demoEnum;
            }
        }
        return null;
    }

}
